Xeonr Developer Docs
API SpecificationBuckets

Get Notes Config

POST
/xeonr.notes.v1.NotesBucketsService/GetNotesConfig

Retrieves the notes configuration and tree structure for a bucket.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketId?string
Length1 <= length
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://notes-api.xeonr.io/xeonr.notes.v1.NotesBucketsService/GetNotesConfig" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "config": {
    "version": 0,
    "tree": [
      {
        "id": "string",
        "folderId": "string",
        "slug": "string",
        "name": "string",
        "type": "NOTE_ITEM_TYPE_UNSPECIFIED",
        "color": "string",
        "icon": "string",
        "children": [
          {
            "id": "string",
            "folderId": "string",
            "slug": "string",
            "name": "string",
            "type": "NOTE_ITEM_TYPE_UNSPECIFIED",
            "color": "string",
            "icon": "string",
            "children": [],
            "commentsId": "string",
            "order": 0
          }
        ],
        "commentsId": "string",
        "order": 0
      }
    ]
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}